"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const index = require("../field/index.js");
const index$1 = require("../uploader/index.js");
const _sfc_main = {
  __name: "FieldUploader",
  props: {
    modelValue: {
      type: Array,
      default: []
    },
    readonly: {
      type: Boolean,
      default: false
    }
  },
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const compValue = Vue.computed({
      get: () => {
        return props.modelValue;
      },
      set: (val) => {
        emit("update:modelValue", val);
      }
    });
    const fieldTextValue = Vue.computed(() => {
      return "";
    });
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createBlock(Vue.unref(index.MobileField), Vue.mergeProps(_ctx.$attrs, {
        readonly: "",
        modelValue: Vue.unref(fieldTextValue),
        "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => Vue.isRef(fieldTextValue) ? fieldTextValue.value = $event : null)
      }), {
        input: Vue.withCtx(() => [
          Vue.createVNode(Vue.unref(index$1.MobileUploader), Vue.mergeProps(_ctx.$attrs, {
            readonly: __props.readonly,
            modelValue: Vue.unref(compValue),
            "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => Vue.isRef(compValue) ? compValue.value = $event : null)
          }), null, 16, ["readonly", "modelValue"])
        ]),
        _: 1
      }, 16, ["modelValue"]);
    };
  }
};
exports.default = _sfc_main;
